#define KEYDOWN 1
#define MOUSEDOWN 2
#define MOUSEUP 4
#define MOUSEMOVE 8
#define WINDOWCLOSED 16

@protocol ServerProtocol
- (void) hideWindow:(NSString*)idt;
- (void) getImage:(NSString*)idt im:(NSData*) im;
- (void) getNextEvent:(NSString*)idt event:(void(^)(NSDictionary*))reply;
- (void) setServerFrame:(NSString*)idt frame:(NSRect)rect title:(NSString*)t;
@end

@protocol helperprotocol
- (void) getlistenerEndpoint:(NSXPCListenerEndpoint*)endPoint;
- (void) listenerEndpoint:(void(^)(NSXPCListenerEndpoint*))reply;
@end
