#include "libgraph.h"
#include <fail.h>
#include <alloc.h>
#import <Cocoa/Cocoa.h>

extern NSLock* lock;
extern float red, green, blue;
extern BOOL graphIsOpen;

unsigned long caml_gr_pixel_rgb(int rgb)
{
    return 0;
}

int caml_gr_rgb_pixel(long unsigned int pixel)
{
    return 0;
}

extern void caml_gr_fail(char *fmt, char *arg);
extern void caml_gr_check_open(void);

value caml_gr_set_color(value vrgb)
{
    caml_gr_check_open();
    int n = Int_val(vrgb);
    red = (n >> 16) / 255.;
    green = ((n >> 8) & 0xff) / 255.;
    blue = (n & 0xff) / 255.;
    [lock lock];
    @autoreleasepool {
        [[NSColor colorWithCalibratedRed: red green: green blue: blue alpha: 1.0] set];
    }
    [lock unlock];
    return Val_unit;
}
