@echo off

setlocal

set CAMLLIB=
set OCAMLLIB=

:0
set "REPONSE="
echo Entrer le chemin de la distribution ocaml:
set /p OCAMLPATH=
echo chemin: %OCAMLPATH%
if exist "%OCAMLPATH%\" (goto 2)
echo chemin incorrect
echo recommencer ? [o/n]
:1
set /p REPONSE=
if not "%REPONSE%" == "o" if not "%REPONSE%" == "n" echo repondre par 'o' ou par 'n' & goto 1
if "%REPONSE%" == "n" exit /B
if "%REPONSE%" == "o" goto 0
:2

set PATH=%MINGWDIR%\bin;%OCAMLPATH%\bin;C:\windows\system32;C:\windows;
echo PATH : %PATH%

cd COMMON\win32graph
echo.
echo On entre dans le repertoire %cd%
for /r %%i in (*.c) do (
	echo %ARCH%-w64-mingw32-gcc.exe -fcommon -DUNICODE -D_UNICODE -DWINDOWS_UNICODE=1 -I"%OCAMLPATH%\lib\ocaml\caml" -I%OCAMLPATH%\lib\ocaml -c %%~nxi 
	%ARCH%-w64-mingw32-gcc.exe -fcommon -DUNICODE -D_UNICODE -DWINDOWS_UNICODE=1 -I"%OCAMLPATH%\lib\ocaml\caml" -I%OCAMLPATH%\lib\ocaml -c %%~nxi
)

ocamlmklib.exe -verbose -o graphics -oc graphics graphics.mli graphics.ml open.o draw.o events.o -lkernel32 -lgdi32 -luser32 -lgcc -L%OCAMLPATH%/lib/ocaml/flexdll -I "%OCAMLPATH%\lib\ocaml"

echo.
echo Nettoyage 
del *.o *.cmo
cd ..\..

if "%ARCH%" == "x86_64" (
	set "outputdir=DLLGRAPHICS64\MINGW"
) else (
	set "outputdir=DLLGRAPHICS32\MINGW"
)

ocamlc -version > tmpfile.txt
set /p ocversion= < tmpfile.txt
set "outputd=%outputdir%\%ocversion%"
mkdir %outputd%
del tmpfile.txt

echo move COMMON\win32graph\dllgraphics.dll %outputd%
move COMMON\win32graph\dllgraphics.dll %outputd%

echo move COMMON\win32graph\*.cm* *.a %outputd%
move COMMON\win32graph\*.cm*  %outputd%
move COMMON\win32graph\*.a  %outputd%

endlocal

echo Resultat dans le sous-repertoire %outputd%
echo.

  
